# compute agent

Compute v2

## compute agent create

Create compute agent.

The compute agent functionality is hypervisor specific and is only supported by the XenAPI hypervisor driver. It was removed from nova in the 23.0.0 (Wallaby) release.

    openstack compute agent create
        <os>
        <architecture>
        <version>
        <url>
        <md5hash>
        <hypervisor>

os

  Type of OS

architecture

  Type of architecture

version

  Version

url

  URL

md5hash

  MD5 hash

hypervisor

  Type of hypervisor

## compute agent delete

Delete compute agent(s).

The compute agent functionality is hypervisor specific and is only supported by the XenAPI hypervisor driver. It was removed from nova in the 23.0.0 (Wallaby) release.

    openstack compute agent delete <id> [<id> ...]

id

  ID of agent(s) to delete

## compute agent list

List compute agents.

The compute agent functionality is hypervisor specific and is only supported by the XenAPI hypervisor driver. It was removed from nova in the 23.0.0 (Wallaby) release.

    openstack compute agent list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--hypervisor <hypervisor>]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--hypervisor <hypervisor>

  Type of hypervisor

## compute agent set

Set compute agent properties.

The compute agent functionality is hypervisor-specific and is only supported by the XenAPI hypervisor driver. It was removed from nova in the 23.0.0 (Wallaby) release.

    openstack compute agent set
        [--agent-version <version>]
        [--url <url>]
        [--md5hash <md5hash>]
        <id>

--agent-version <version>

  Version of the agent

--url <url>

  URL of the agent

--md5hash <md5hash>

  MD5 hash of the agent

id

  ID of the agent

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.